iCalendar-0.4.0.5: iCalendar data types, parser, and printer.

Safe Haskell | None
Language | Haskell98

Text.ICalendar.Parser

Synopsis

- parseICalendar :: DecodingFunctions -> FilePath -> ByteString -> Either String ([VCalendar], [String])
- parseICalendarFile :: DecodingFunctions -> FilePath -> IO (Either String ([VCalendar], [String]))
- parseICal :: DecodingFunctions -> FilePath -> ByteString -> Either String ([VCalendar], [String])
- parseICalFile :: DecodingFunctions -> FilePath -> IO (Either String ([VCalendar], [String]))
- data DecodingFunctions = DecodingFunctions {
  - dfBS2Text :: ByteString -> Text
  - dfBS2IText :: ByteString -> CI Text
  }

# Documentation

parseICalendar Source #

Arguments

:: DecodingFunctions |
-> FilePath | Used in error messages.
-> ByteString |
-> Either String ([VCalendar], [String]) |

Parse a ByteString containing iCalendar data.

Returns either an error, or a tuple of the result and a list of warnings.

parseICalendarFile :: DecodingFunctions -> FilePath -> IO (Either String ([VCalendar], [String])) Source #

Parse an iCalendar file.

parseICal :: DecodingFunctions -> FilePath -> ByteString -> Either String ([VCalendar], [String]) Source #

Deprecated: Use parseICalendar instead

Deprecated synonym for parseICalendar

parseICalFile :: DecodingFunctions -> FilePath -> IO (Either String ([VCalendar], [String])) Source #

Deprecated: Use parseICalendarFile instead

Deprecated synonym for parseICalendarFile

data DecodingFunctions Source #

Functions for decoding `ByteString`s into `Text`.

Constructors

DecodingFunctions |

Fields

- dfBS2Text :: ByteString -> Text
- dfBS2IText :: ByteString -> CI Text

Instances

Default DecodingFunctions Source # | UTF8.
Instance details Defined in Text.ICalendar.Parser.Common Methods def :: DecodingFunctions #